# $Revision: 1.141.2.2 $, $Date: 2007/03/05 11:09:05 $
#
# Conditional build:
%bcond_with	aalib		# with aalib graphics support
%bcond_with	caca		# with caca graphics support
%bcond_with	directfb	# with DirectFB graphics support
%bcond_with	ggi		# with GGI graphics support
%bcond_with	nas		# with NAS audio support
%bcond_with	svga		# with svgalib graphics support
%bcond_without	alsa		# without ALSA audio support
%bcond_without	arts		# without aRts audio support
%bcond_without	esd		# without EsounD audio support
#
Summary:	SDL (Simple DirectMedia Layer) - Game/Multimedia Library
Summary(pl):	SDL (Simple DirectMedia Layer) - Biblioteka do gier/multimediw
Summary(zh_CN):	SDL (Simple DirectMedia Layer) Generic APIs - Ϸ/ý
Name:		SDL
Version:	1.2.11
Release:	1
License:	LGPL
Group:		X11/Libraries
Source0:	http://www.libsdl.org/release/%{name}-%{version}.tar.gz
# Source0-md5:	418b42956b7cd103bfab1b9077ccc149
Patch0:		%{name}-mmx-constraints.patch
Patch1:		%{name}-acfix.patch
Patch2:		%{name}-caca.patch
URL:		http://www.libsdl.org/
%{?with_directfb:BuildRequires:	DirectFB-devel >= 0.9.15}
BuildRequires:	OpenGL-GLU-devel
%{?with_aalib:BuildRequires:	aalib-devel}
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 0.9.0}
%{?with_arts:BuildRequires:	artsc-devel >= 1.1}
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
%{?with_esd:BuildRequires:	esound-devel >= 0.2.8}
%{?with_caca:BuildRequires:	libcaca-devel}
%{?with_ggi:BuildRequires:	libggi-devel}
BuildRequires:	libtool >= 2:1.4d
%{?with_nas:BuildRequires:	nas-devel}
%ifarch %{ix86}
BuildRequires:	nasm
%endif
BuildRequires:	perl-modules
%{?with_directfb:BuildRequires:	pkgconfig >= 1:0.7}
%{?with_svga:BuildRequires:	svgalib-devel >= 1.4.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SDL (Simple DirectMedia Layer) is a library that allows you portable,
low level access to a video framebuffer, audio output, mouse, and
keyboard. It can support both windowed and DGA modes of XFree86, and
it is designed to be portable - applications linked with SDL can also
be built on Win32 and BeOS.

%description -l pl
SDL (Simple DirectMedia Layer) jest bibliotek udostpniajc
przenony, niskopoziomowy dostp do bufora ramki video, wyjcia audio,
myszy oraz klawiatury. Moe obsugiwa zarwno okienkowy tryb XFree86
jak i DGA. Konstruujc j miano na uwadze przenono: aplikacje
konsolidowane z SDL mona rwnie budowa w systemach Win32 i BeOS.

%description -l pt_BR
Esse  o Simple DirectMedia Layer, uma API genrica que d acesso de
baixo nvel a udio, teclado, mouse e vdeo em vrias plataformas.

Essa biblioteca  usada por alguns jogos.

%package devel
Summary:	SDL - Header files
Summary(pl):	SDL - Pliki nagwkowe
Summary(pt_BR):	Bibliotecas e arquivos de cabealho para aplicaes SDL
Summary(ru):	,    ,  SDL
Summary(uk):	, ȦΦ   ,   SDL
Summary(zh_CN):	SDL (Simple DirectMedia Layer) 
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
%if %{with xlibs}
Requires:	libX11-devel
Requires:	libXext-devel
%else
Requires:	XFree86-devel >= 4.0.2
%endif
%{?with_directfb:Requires:	DirectFB-devel >= 0.9.15}
%{?with_aa:Requires:	aalib-devel}
%{?with_caca:Requires:	libcaca-devel}
%{?with_ggi:Requires:	libggi-devel}
%{?with_nas:Requires:	nas-devel}
%{?with_svga:Requires:	svgalib-devel >= 1.4.0}

%description devel
SDL - Header files.

%description devel -l pl
SDL - Pliki nagwkowe.

%description devel -l pt_BR
Esse pacote contm bibliotecas, arquivos de cabealho e outros
recursos para o desenvolvimento de aplicativos com SDL.

%description devel -l ru
   ,    ,
 SDL.

%description devel -l uk
  ͦ , ȦΦ   , 
 SDL.

%package static
Summary:	SDL - static libraries
Summary(pl):	SDL - biblioteki statyczne
Summary(pt_BR):	Biblioteca esttica para desenvolvimento de aplicaes com a SDL
Summary(ru):	      SDL
Summary(uk):	Φ ¦̦     SDL
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
SDL - static libraries.

%description static -l pl
SDL - biblioteki statyczne.

%description static -l pt_BR
Biblioteca esttica para desenvolvimento de aplicaes com a SDL.

%description static -l ru
       ,
 SDL.

%description static -l uk
  ͦ Φ ¦̦   , 
 SDL.

%package examples
Summary:	SDL - example programs
Summary(pl):	SDL - programy przykadowe
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description examples
SDL - example programs.

%description examples -l pl
SDL - przykadowe programy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
#%patch2 -p1	# needs rewrite

%{!?with_alsa:echo 'AC_DEFUN([AM_PATH_ALSA],[$3])' >> acinclude.m4}
%{!?with_esd:echo 'AC_DEFUN([AM_PATH_ESD],[$3])' >> acinclude.m4}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
%ifarch %{ix86}
	--enable-nasm \
%else
	--disable-nasm \
%endif
	--disable-rpath \
	%{!?with_alsa:--disable-alsa} \
	%{!?with_arts:--disable-arts} \
	--enable-dga \
	%{!?with_esd:--disable-esd} \
	%{!?with_nas:--disable-nas} \
	--enable-pthreads \
	--enable-pthread-sem \
	%{?with_aalib:--enable-video-aalib} \
	%{?with_caca:--enable-video-caca} \
	%{!?with_directfb:--disable-video-directfb} \
	--enable-video-dga \
	--enable-video-fbcon \
	%{?with_ggi:--enable-video-ggi} \
	--enable-video-opengl \
	%{!?with_svga:--disable-video-svga} \
	--enable-video-x11-dgamouse \
	--enable-video-x11-vm \
	--enable-video-x11-xinerama \
	--enable-video-x11-xme \
	--enable-video-x11-xrandr \
	--enable-video-x11-xv \
	--with-x

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

install test/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -rf docs/man3

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc BUGS CREDITS README TODO WhatsNew
%attr(755,root,root) %{_libdir}/libSDL-*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc docs.html docs
%attr(755,root,root) %{_bindir}/sdl-config
%attr(755,root,root) %{_libdir}/libSDL.so
%{_libdir}/libSDL.la
%{_libdir}/libSDLmain.a
%{_includedir}/SDL
%{_aclocaldir}/sdl.m4
%{_pkgconfigdir}/sdl.pc
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libSDL.a

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: SDL.spec,v $
Revision 1.141.2.2  2007/03/05 11:09:05  hawk
- merged version 1.2.11 from HEAD

Revision 1.141.2.1  2006/05/15 22:03:58  baggins
- release 2
- devel R: artsc-devel

Revision 1.141  2005/08/29 18:55:09  qboosh
- updated to 1.2.9, updated gcc4 patch

Revision 1.140  2005/06/06 16:27:41  wolf
- cut changelog

Revision 1.139  2005/05/29 18:46:12  adgor
- Fixed svga bcond

Revision 1.138  2005/05/05 20:50:28  pluto
- linking underscore symbols fixed.

Revision 1.137  2005/05/05 14:44:18  pluto
- final gcc4 fix, release 3.

Revision 1.136  2005/05/05 13:53:26  pluto
- quick workaround for gcc PR21398.

Revision 1.135  2005/05/05 12:53:56  pluto
- gcc4 fix.

Revision 1.134  2005/04/29 12:34:11  pluto
- release 2 for Th.
